<template>
  <nav class="navbar bg-body-tertiary">
      <div class="container-fluid" >
        <a class="navbar-brand" href="/">
          <img :src="imgUrl" alt="Logo" width="30" height="24" class="d-inline-block align-text-top">
          Thea's Pantry
        </a>
      </div>
  </nav>
	<router-view />
</template>

<script>
 import mylogo from '../assets/LFP-logo.svg'
	export default {
		mounted() {
			console.log('MainLayout loaded')
		},
    data() {
      return {
        imgUrl: mylogo
      }
    }
	}
</script>

<style scoped>
.logo {
  height: 6em;
  padding: 1.5em;
  will-change: filter;
  transition: filter 300ms;
}
.logo:hover {
  filter: drop-shadow(0 0 2em #646cffaa);
}
.logo.vue:hover {
  filter: drop-shadow(0 0 2em #42b883aa);
}
.wsu-blue {
  background-color: rgb(0, 48, 135);
}
</style>
